@echo off & setlocal enabledelayedexpansion
  ::ipconfig>ip.txt
  
   
netstat -aon |findstr 8103>pid.txt
      
     for /f "delims=" %%a in (pid.txt) do (
         
      for /f "tokens=1* delims=:" %%i in ('call echo %%a^|find /i "TCP"') do (
         echo %%a
     ::?????????????,§Õ??????????¡À???
     rem Echo %%a>>"text.txt"
        ) 
    )
rem ????????????
set /P OEM=<pid.txt
  
rem ???????§Ö??????
  
echo  %OEM:~71,76%
  
taskkill /f /pid %OEM:~71,76%
exit 0